| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client

# Method Protocols.LDAP.client()->get_default_filter()

Method get_default_filter

  `object get_default_filter()`

Description

  Returns the ASN1 object parsed from the filter specified in the LDAP URL, or zero if the URL doesn't specify any filter.

Throws

  If there's a parse error in the filter then a Protocols.LDAP.FilterError is thrown as from Protocols.LDAP.make_filter .